<?php
namespace Teknisa\FIN\Modules\ContaPagar\Services;

use Teknisa\FIN\Modules\ContaPagar\Factory\AutenticacaoDDAFactory;

class AutenticacaoDDAService {

    const OPERADOR_ATIVO = 'A';
    public function __construct(AutenticacaoDDAFactory $autenticacaoDDAFactory) {
        $this->autenticacaoDDAFactory = $autenticacaoDDAFactory;
    }

    public function getConfigurasmtp() {
        return $this->autenticacaoDDAFactory->getConfigurasmtp();
    }

    public function getOperador() {
        return $this->autenticacaoDDAFactory->getOperador(self::OPERADOR_ATIVO);
    }
}

?>