var  Bco56100_TipoDeDespesa_Controller = function(ScreenService, General, templateManager, ZHPromise, localStorageEngine, contabilizacaoController, restEngine, ZhFilterPreferences){
    
    var self = this;
    
    
    this.geraCodigoDespesa = function(widget) {
        var codigo = 0;
		widget.newRow();
		
		General.callRestEngine('fin#/crud/tipodespesas', 'FilterData').then(function (result) {
			var datasetTipoDespesas = result.dataset.tipodespesas;
			
			
			if(result.dataset.tipodespesas.length > 0){
    			datasetTipoDespesas.forEach(function(data){
    			    if(data.CDTIPODESP >= codigo)
    			        codigo = data.CDTIPODESP;
    			});
				// var cdgrupo = ('000000000' + (parseInt(codigo.CDTIPODESP) + 1)).slice(-10);
				widget.getField('CDTIPODESP').value(codigo+1);
			}else widget.getField('CDTIPODESP').value(1);
		}).catch(function(erro){
            ScreenService.showMessage(erro.data.error);
        });
	};
	
    /*self.salvarDespesa = function(widget){
        if(widget.isValid()){
            General.callRestEngine('fin_movimentacaoBancaria#/saveTipoDeDespesa', 'Row', widget.currentRow).then(function(result){
                ScreenService.showMessage("Tipo de Despesa Salva com sucesso.");
                ScreenService.closeSwipe();
                widget.reload();
            }).catch(function(error){
                if (contabilizacaoController.checkErrosContabilizacao(error, "Não foi possível realizar o lançamento devido a erros na contablização.")) {
                    ScreenService.showMessage(error.data.error);
                }
            });
        }
    };*/
    
    /*self.seveDespesas = function(widget){
        General.saveCrud(widget);
    };
    
    self.deletarLancamento = function(widget){
        General.callRestEngine('fin_movimentacaoBancaria#/removeLancamentoCredito', 'Row', widget.currentRow).then(function(result){
            ScreenService.showMessage("Lançamento Deletado com sucesso.");
            ScreenService.closeSwipe();
            widget.reload();
        }).catch(function(erro){
            ScreenService.showMessage(erro.data.error);
        });
    };*/
};

Configuration(function(ContextRegister){
    ContextRegister.register('Bco56100_TipoDeDespesa_Controller', Bco56100_TipoDeDespesa_Controller);
});